1. miscam1's Avatar
    Hi, I bought the phone a couple of months ago and I haven't updated the OS yet. I was wondering if I should update to the latest OS and then jailbreak it or if I should just use the OS that's on right now. The current OS is 3.0 (7A341).

    Thanks.
    10-30-2009 07:57 PM
  2. DRTigerlilly's Avatar
    no...don't update...jailbreak first.
    The OS you're on now is optimal for jailbreaking and unlocking if you decide to sell it in the future.

    Only update with custom ipsw after making sure to backup your info on cydia and jailbreaking.
    10-30-2009 08:32 PM
  3. hghflyrjd1's Avatar
    Dont UpDATE keep it on 3.0 way more valuable im sure there arent that many 3gs on 3.0
    10-30-2009 09:02 PM
  4. white573's Avatar
    definenatly dont do anything exept jb and unlock i have the same phone w jb and unlock all the 3.1 has to offer is mms but u lose your tethering if u stay w 3.0 u can get swirlly mms w i think works better and has alot more to offer than regular mms use redsnow v8 make sure if u r on a windows u use firefox to download the custom ipsw from iclairified and follow directions very simple worked first time for me
    10-30-2009 10:09 PM
  5. miscam1's Avatar
    definenatly dont do anything exept jb and unlock i have the same phone w jb and unlock all the 3.1 has to offer is mms but u lose your tethering if u stay w 3.0 u can get swirlly mms w i think works better and has alot more to offer than regular mms use redsnow v8 make sure if u r on a windows u use firefox to download the custom ipsw from iclairified and follow directions very simple worked first time for me
    Thanks for the advice. On the iclarified site you mention, they also provide instructions for capturing iBEC and iBSS files. Should I still do this before jailbreaking?
    10-31-2009 05:06 PM
  6. miscam1's Avatar
    I followed the instructions on this link: iclarified.com/entry/index.php?enid=4447

    I pressed Shift+Restore on itunes and selected the ipsw file listed on that site. Some time after the restoring process started, I received an error message - "This device is not eligible for the requested build."

    I'm still on OS 3.0 (7A341), but I'm not sure what to do differently.

    Thanks.
    11-01-2009 03:51 PM
LINK TO POST COPIED TO CLIPBOARD